package com.xty.network.model

import com.chad.library.adapter.base.entity.MultiItemEntity
import java.io.Serializable

data class DrugHealthCare (
    val items: List<ItemDrugHealthCare>,
    val message: String,
    var isLast : Boolean? = false
) : Serializable,MultiItemEntity {
    override val itemType: Int
        get() = if (items.size == 0) {
            if (isLast == true) {
                0
            } else {
                2
            }
        } else if (items[0].desc.isNullOrEmpty()) {
            1
        } else {
            2
        }

}